Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader
Class DeviceCapabilities

    java.lang.Object
      com.connecterra.ale.reader.Capabilities
          com.connecterra.ale.reader.DeviceCapabilities

    public class DeviceCapabilities

extends com.connecterra.ale.reader.Capabilities

Represents the capabilities of a physical device.

Nested Class Summary

Nested classes/interfaces inherited from class com.connecterra.ale.reader.Capabilities
`com.connecterra.ale.reader.Capabilities.Capability`

Field Summary
`static com.connecterra.ale.reader.Capabilities.Capability` | `COMBINED_MODE` This capability indicates that the device is capable of treating multiple `DeviceUnits` with the same logical reader name as a single `LogicalReader`.
`static com.connecterra.ale.reader.Capabilities.Capability` | `DISTINGUISHED_MODE` This capability indicates that a polling device is capable of reading from more than one `DeviceUnit` simultaneously while being able to distinguish which DeviceUnit observed which tags.
`static com.connecterra.ale.reader.Capabilities.Capability` | `PRINTER_ACCESS_PASSWORD` This capability indicates that an rfid printer is capable of using an access password to write to or kill a locked tag.
`static com.connecterra.ale.reader.Capabilities.Capability` | `PRINTER_KILL_PASSWORD` This capability indicates that an rfid printer is capable of killing a tag.
`static com.connecterra.ale.reader.Capabilities.Capability` | `PRINTER_LOCK_BITS` This capability indicates that an rfid printer is capable of locking a tag.

Fields inherited from class com.connecterra.ale.reader.Capabilities
`m_capabilities`

Constructor Summary
`DeviceCapabilities()` Creates a new `DeviceCapabilities` instance with no capabilities.
`DeviceCapabilities(com.connecterra.ale.reader.Capabilities.Capability[] capabilityArray)` Creates a new `DeviceCapabilities` instance with the given capabilities

Method Summary
`void` | `setSupportsCombinedMode()` Set the `DeviceCapabilities.COMBINED_MODE` capability
`void` | `setSupportsDistinguishedMode()` Set the `DeviceCapabilities.DISTINGUISHED_MODE` capability
`void` | `setSupportsPrinterAccessPassword()` Set the `DeviceCapabilities.PRINTER_ACCESS_PASSWORD` capability
`void` | `setSupportsPrinterKillPassword()` Set the `DeviceCapabilities.PRINTER_KILL_PASSWORD` capability
`void` | `setSupportsPrinterLockBits()` Set the `DeviceCapabilities.PRINTER_LOCK_BITS` capability
`boolean` | `supportsCombinedMode()`
`boolean` | `supportsDistinguishedMode()`
`boolean` | `supportsPrinterAccessPassword()`
`boolean` | `supportsPrinterKillPassword()`
`boolean` | `supportsPrinterLockBits()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMBINED_MODE

    public static final com.connecterra.ale.reader.Capabilities.Capability COMBINED_MODE

  This capability indicates that the device is capable of treating multiple `DeviceUnits` with the same logical reader name as a single `LogicalReader`.

### DISTINGUISHED_MODE

    public static final com.connecterra.ale.reader.Capabilities.Capability DISTINGUISHED_MODE

  This capability indicates that a polling device is capable of reading from more than one `DeviceUnit` simultaneously while being able to distinguish which DeviceUnit observed which tags.

### PRINTER_ACCESS_PASSWORD

    public static final com.connecterra.ale.reader.Capabilities.Capability PRINTER_ACCESS_PASSWORD

  This capability indicates that an rfid printer is capable of using an access password to write to or kill a locked tag.

### PRINTER_KILL_PASSWORD

    public static final com.connecterra.ale.reader.Capabilities.Capability PRINTER_KILL_PASSWORD

  This capability indicates that an rfid printer is capable of killing a tag.

### PRINTER_LOCK_BITS

    public static final com.connecterra.ale.reader.Capabilities.Capability PRINTER_LOCK_BITS

  This capability indicates that an rfid printer is capable of locking a tag.

Constructor Detail

### DeviceCapabilities

    public DeviceCapabilities(com.connecterra.ale.reader.Capabilities.Capability[] capabilityArray)

  Creates a new `DeviceCapabilities` instance with the given capabilities

  Parameters:
    `capabilityArray` - a `Capability[]` value

### DeviceCapabilities

    public DeviceCapabilities()

  Creates a new `DeviceCapabilities` instance with no capabilities.

Method Detail

### setSupportsCombinedMode

    public void setSupportsCombinedMode()

  Set the `DeviceCapabilities.COMBINED_MODE` capability

### supportsCombinedMode

    public boolean supportsCombinedMode()

  Returns:
    true if the `DeviceCapabilities.COMBINED_MODE` capability is set

### setSupportsDistinguishedMode

    public void setSupportsDistinguishedMode()

  Set the `DeviceCapabilities.DISTINGUISHED_MODE` capability

### supportsDistinguishedMode

    public boolean supportsDistinguishedMode()

  Returns:
    true if the `DeviceCapabilities.DISTINGUISHED_MODE` capability is set

### setSupportsPrinterAccessPassword

    public void setSupportsPrinterAccessPassword()

  Set the `DeviceCapabilities.PRINTER_ACCESS_PASSWORD` capability

### supportsPrinterAccessPassword

    public boolean supportsPrinterAccessPassword()

  Returns:
    true if the `DeviceCapabilities.PRINTER_ACCESS_PASSWORD` capability is set

### setSupportsPrinterKillPassword

    public void setSupportsPrinterKillPassword()

  Set the `DeviceCapabilities.PRINTER_KILL_PASSWORD` capability

### supportsPrinterKillPassword

    public boolean supportsPrinterKillPassword()

  Returns:
    true if the `DeviceCapabilities.PRINTER_KILL_PASSWORD` capability is set

### setSupportsPrinterLockBits

    public void setSupportsPrinterLockBits()

  Set the `DeviceCapabilities.PRINTER_LOCK_BITS` capability

### supportsPrinterLockBits

    public boolean supportsPrinterLockBits()

  Returns:
    true if the `DeviceCapabilities.PRINTER_LOCK_BITS` capability is set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD